import {Platform, StyleSheet} from 'react-native';
import {getWidth, Colors, width, height, deviceType} from './utils';

const PADDING_TOP = deviceType === 'ios' ? (height === 896 ? 44 : 20) : 0;
const NORMAL_TXT_SIZE = deviceType == 'android' ? 12 : width >= 366 ? 12 : 10;

const homeStyle = StyleSheet.create({
  homeContainer: {
    flex: 1,
    backgroundColor: Colors.dark_gray,
    paddingTop: PADDING_TOP,
  },
  homeScrollContainer: {
    flexGrow: 1,
    backgroundColor: Colors.white,
  },
  homeFormView: {
    marginLeft: 15,
    marginRight: 15,
    paddingBottom: 15,
  },
  homeScrollContainer: {
    flexGrow: 1,
    backgroundColor: Colors.dullBackgroundColor,
  },
  imageStyleLogo: {
    width: '50%',
    height: '10%',
    alignSelf: 'center',
    marginTop: '1%',
  },
  textInputContainerStyle: {
    flexDirection: 'row',
    justifyContent: 'center',
    backgroundColor: Colors.white,
    marginTop: 5,
    height: 40,
    borderRadius: 5,
  },
  categoryView: {
    width: getWidth(18),
    height: getWidth(20),
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.white,
    marginRight: getWidth(1),
  },
  categoryImage: {
    width: getWidth(6),
    height: getWidth(6),
  },
  categoryTitle: {
    marginTop: 5,
    fontSize: width <= 450 ? (deviceType === 'ios' ? 11 : 10) : 13,
    textAlign: 'center',
  },
  recentReviewView: {
    width: getWidth(75),
    height: getWidth(75),
    alignItems: 'center',
    justifyContent: 'center',
    backgroundColor: Colors.white,
    margin: getWidth(2),
  },
  sectionTitle: {
    fontSize: 18,
    padding: 10,
    color: Colors.black,
    flex: 1,
  },
  viewAllStyle: {
    fontSize: NORMAL_TXT_SIZE,
    padding: 10,
    color: Colors.gray,
  },
  sectionTitleContainer: {flexDirection: 'row', alignItems: 'center'},
  searchTextStyle: {
    color: Colors.hintColor,
    fontSize: 14,
    marginRight: 8,
    textAlign: 'left',
  },
  searchDividerStyle: {
    width: 1,
    marginHorizontal: 8,
    height: '100%',
    backgroundColor: Colors.dividerColor,
  },
  searchIconStyle: {
    alignItems: 'center',
    alignSelf: 'center',
    height: 20,
    width: 18,
    marginRight: 5,
  },
});

export default homeStyle;
