import {Dimensions, PixelRatio, Platform} from 'react-native';

const width = Dimensions.get('window').width;

const height = Dimensions.get('window').height;

const pixelRatio = PixelRatio.get();

const deviceType = Platform.OS;

const isLargeriPhone = height >= 812 || width >= 812;

const TOUCH_OPACITY = 0.5;

const Colors = {
  green: '#42EA93',
  orange: '#F4833D',
  red: '#F64154',
  blue: '#40C3ED',
  gray: '#8A8A8A',
  dark_gray: '#fafafa',
  white: '#FFFFFF',
  black: '#000000',
  transparent: '#00000000',
  redError: '#FF0000',
  textColor: '#29263F',
  hintColor: '#D9D9D9',
  dividerColor: '#F5F5F5',
  dullBackgroundColor: '#F3F3F3',
  greenTransparent: 'rgba(66, 234, 147,0.2)',
  orangeTransparent: 'rgba(244, 131, 61,0.2)',
  redTransparent: 'rgba(246, 65, 84,0.2)',
  blueTransparent: 'rgba(64, 195, 237,0.2)',
  grayTransparent: 'rgba(138, 138, 138,0.4)',
  blackTransparent40: 'rgba(0, 0, 0, 0.4)',
  fbButtonColor: '#395999',
  twitterButtonColor: '#55ADED',
  linkinButtonColor: '#0077B5',
  urlColor: '#4D7DFB',
};

export function getWidth(perValue) {
  return (width * perValue) / 100;
}
export function getHeight(perValue) {
  return (height * perValue) / 100;
}

export {
  width,
  height,
  pixelRatio,
  isLargeriPhone,
  TOUCH_OPACITY,
  Colors,
  deviceType,
};
